DLERROR(3)

NAME
dlerror - get diagnostic information

SYNOPSIS
#include <dlfcn.h>
const char*
dlerror(void);

DESCRIPTION
dlerror() returns a null-terminated character string describing the last error that occurred on this thread during a call to dlopen(), dlopen_preflight(), dlsym(), or dlclose(). If no such error has occurred, dlerror() returns a null pointer. At each call to dlerror(), the error indication is reset. Thus in the case of two calls to dlerror(), where the second call follows the first immediately, the second call will always return a null pointer.

SEE ALSO
dlopen(3) dlopen_preflight(3) dlclose(3) dlsym(3) dyld(3)